View Issue Details

IDProjectCategoryView StatusLast Update
0002492Far ManagerEditorpublic2013-09-23 20:41
ReportermazeAssigned ToDrKnS 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version8
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002492: Editor CtrlZ
DescriptionЕсли в режиме редактирование текстового файла (F4) выделить определенную область большую 160 символов, затем удалить кнопкой Del, и попытаться откатиться клавишами Ctrl-Z, то откат не работает. Причем на маленьких стертых буферах работает нормально. Хотя есть подозрение, что буфер аккумулируется и через время Ctrl+Z перестает работать.
TagsNo tags attached.
Build3676

Activities

Denis

2013-09-22 13:31

reporter   bugnote:0011436

Похоже, что после запуска Far'a и открытия редактора срабатывает только первый Ctrl-Z. Все последующие уже ничего не делают.

Far 3.0 build 3674 x64

Denis

2013-09-22 14:59

reporter   bugnote:0011438

Думаю, что решение может быть таким:
diff --git i/unicode_far/editor.hpp w/unicode_far/editor.hpp
index 97b8a67..76e4ae2 100644
--- i/unicode_far/editor.hpp
+++ w/unicode_far/editor.hpp
@@ -104,7 +104,15 @@ struct EditorUndoData
         Type = Right.Type;
         StrPos = Right.StrPos;
         StrNum = Right.StrNum;
+
+ if (Length > 0)
+ UndoDataSize -= Length;
+
         Length = Right.Length;
+
+ if (Length > 0)
+ UndoDataSize += Length;
+
         Str.swap(Right.Str);
         wcscpy(EOL, Right.EOL);
         std::swap(BM, Right.BM);

DrKnS

2013-09-22 16:25

administrator   bugnote:0011439

Last edited: 2013-09-22 16:29

View 2 revisions

3676

Issue History

Date Modified Username Field Change
2013-09-21 17:02 maze New Issue
2013-09-22 13:31 Denis Note Added: 0011436
2013-09-22 14:59 Denis Note Added: 0011438
2013-09-22 16:25 DrKnS Note Added: 0011439
2013-09-22 16:25 DrKnS Assigned To => DrKnS
2013-09-22 16:25 DrKnS Status new => feedback
2013-09-22 16:29 DrKnS Note Edited: 0011439 View Revisions
2013-09-23 19:00 maze Status feedback => resolved
2013-09-23 20:41 DrKnS Build => 3676
2013-09-23 20:41 DrKnS Status resolved => closed
2013-09-23 20:41 DrKnS Resolution open => fixed
2013-09-23 20:41 DrKnS Fixed in Version => 3.0